{% extends 'base.html.twig' %}

{% block title %}Liste Enfants{% endblock %}

{% block body %}
<div class="container">
    <h1>Liste Enfants</h1>

    <table class="table">
        <thead class="thead-dark">
            <tr>
                
                <th>Nom</th>
                <th>Prénom</th>
                <th>Date de naissance</th>
                <th>Sexe</th>
                <th>Editer</th>
                <th>Supprimer</th>
            </tr>
        </thead>
        <tbody>
        {% for child in children %}
            <tr>
                
                <td>{{ child.firstName }}</td>
                <td>{{ child.lastName }}</td>
                <td>{{ child.dateOFBirth ? child.dateOFBirth|date('Y-m-d') : '' }}</td>
                <td>{{ child.sex }}</td>
                <td><a href="{{ path('child_edit', {'id': child.id}) }}"><i class="fas fa-edit fa-2x"></i></a></td>
                <td>{{ include('child/_delete_form.html.twig') }}</td>    
            </tr>
        {% else %}
            <tr>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <div class="btn-formulaire">
        <table class⁼"bouta">
                {# <td><a  class="rtr" href="{{ path('admin') }}"><i class="fas fa-arrow-circle-left fa-2x"></i></a></td> #}
                <td><a href="{{ path('child_new') }}"><button class="btn btnColor aj" ><i class="fas fa-child"></i> Ajouter un enfant</button></a></td>
            </tr>
        </table>
        
        
    </div>

</div>


{% endblock %}
